summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-14 18:39:55 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-14 18:39:55 +0000
commitf144f88fdb8727f87822712db07a377d0585667d (patch)
treea3c61fb093188415eccd83da58436d4be462dc59 /bin/misc-functions.sh
parentAdd a --changelog-rev option that truncates the ChangeLog at a specific (diff)
downloadportage-multirepo-f144f88fdb8727f87822712db07a377d0585667d.tar.gz
portage-multirepo-f144f88fdb8727f87822712db07a377d0585667d.tar.bz2
portage-multirepo-f144f88fdb8727f87822712db07a377d0585667d.zip
In dyn_package(), use the 'assert' macro (from isolated-functions.sh) die if
PIPESTATUS array contains a non-zero exist status. svn path=/main/trunk/; revision=11909
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index f2e41bed..f1f70553 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -637,8 +637,8 @@ dyn_package() {
PORTAGE_BINPKG_TMPFILE="${PKGDIR}/${CATEGORY}/${PF}.tbz2"
mkdir -p "${PORTAGE_BINPKG_TMPFILE%/*}" || die "mkdir failed"
tar $tar_options -cf - $PORTAGE_BINPKG_TAR_OPTS -C "${D}" . | \
- bzip2 -f > "$PORTAGE_BINPKG_TMPFILE" || \
- die "Failed to create tarball"
+ bzip2 -f > "$PORTAGE_BINPKG_TMPFILE"
+ assert
PYTHONPATH=${PORTAGE_PYM_PATH}${PYTHONPATH:+:}${PYTHONPATH} \
python -c "from portage import xpak; t=xpak.tbz2('${PORTAGE_BINPKG_TMPFILE}'); t.recompose('${PORTAGE_BUILDDIR}/build-info')"
if [ $? -ne 0 ]; then